<?php
/*
#------------------------------------------------------------------------#
# ____                               ____  _                  _          #
#| __ )  __ _ _ __ _ __  _   _      | __ )| | ___   __ _   __| | ___     #
#|  _ \ / _` | '__| '_ \| | | |_____|  _ \| |/ _ \ / _` | / _` |/ _ \    #
#| |_) | (_| | |  | | | | |_| |_____| |_) | | (_) | (_| || (_| |  __/    #
#|____/ \__,_|_|  |_| |_|\__, |     |____/|_|\___/ \__, (_)__,_|\___|    #
#                        |___/                     |___/                 #
#            															 #
# Copyright 2018 by Barny-Blog.de										 #
# Changes taken by Barny-Blog.de:                                        #
#------------------------------------------------------------------------#
03.03.18 Barny - #18 Plugin 'Teamspeak Verifizierung' ist verfügbar
*/
?>

<style type="text/css">
    div.installer_trans { position: fixed; background-color: rgba(0, 0, 0, 0.5); height: 100%; width: 100%; overflow: auto; top: 0; left: 0; z-index: 99998;}
    div.install_plugin { display: block; z-index: 99999; width: 80%; margin: 0 auto;}

    .jumbotron.bg {
        background: url('http://www.designperformance.de/images/plugin-install-banner.jpg') no-repeat;
        background-size: cover
    }
    .jumbotron h1 {
        color: #FFF;
        padding: 5px;
        text-shadow: 1px 2px 0px rgba(0, 0, 0, 0.4);
    }
    .jumbotron p {
        padding: 5px;
        color: #FFF;
        text-shadow: 0 2px 1px rgba(0, 0, 0, 0.6);
    }
    .text-muted { color: #fff !important; }
    .quicklinks { color: white !important; }
    .margto8{margin-top:8px;}
</style>
<script>
    function goBack() {
        window.history.back();
    }
</script>
<?php

#@info:	settings
$plugin_table 	= 	"teamspeak_verification"; 			            // name of the mysql table
$str			=	"Teamspeak Verifizierung"; 		    	        // name of the plugin
$str2           =   "Teamspeak Einrichtung";                        // name of setup
$str_categorie  =   "Teamspeak";                                    // name of admin categorie
$str_categorie2 =   "Teamspeak Verifizierung";                      // navi name of dashnavi link
$str_categorie3 =   "Teamspeak Einrichtung";                        // navi name of dashnavi link
$admin_file 	=	"teamspeak_verification";	                    // administration file
$admin_file2 	=	"teamspeak_settings";	                        // administration file
$activate 		=	"1";									        // plugin activate 1 yes | 0 no
$author			=	"Barny";						                // author
$website		= 	"https://www.barny-blog.de";			        // authors website
$index_link		=	"teamspeak_verification";			            // index file (without extension, also no .php)
$index_link2	=	"teamspeak_settings";			                // index file (without extension, also no .php)
$sc_link 		=	"";  									        // sc_ file (visible as module/box)
$hiddenfiles 	=	"";						                        // hiddenfiles (background working, no display anywhere)
$version		=	"V.1.0";								        // current version, visit authors website for updates, fixes, ..
$path			=	"_plugins/teamspeakverification/";		        // plugin files location
$path2			=	"_plugins/teamspeaksetup/";		                // plugin files location SETUP
$navi_link		=	"teamspeak_verification";				        // navi link file (index.php?site=...)
$navi_link2		=	"teamspeak_settings";				            // navi link file (index.php?site=...)

#@info: database

$install1 = "CREATE TABLE `" . PREFIX . "teamspeak_setup` (	
		`ID` int(11) NOT NULL AUTO_INCREMENT,
		`serveraddress` varchar(32) NOT NULL,
		`queryport` int(11) NOT NULL,
		`serverport` int(11) NOT NULL,
		`username` varchar(32) NOT NULL,
		`password` varchar(64) NOT NULL,
		`backup` longtext NULL,
		`LastBackup` Date NULL,
		PRIMARY KEY (`ID`)
) AUTO_INCREMENT=1
  DEFAULT CHARSET=utf8 DEFAULT COLLATE utf8_unicode_ci";

$install2 = "INSERT INTO  `" . PREFIX . "teamspeak_setup`(`serveraddress`, `queryport`, `serverport`, `username`, `password`)
            VALUES('localhost',10011,9987,'serveradmin','password')";

$install3 = "CREATE TABLE `" . PREFIX . "teamspeak_verification_setup` (	
		`ID` int(11) NOT NULL AUTO_INCREMENT,
		`verificationgroup` int(11) NOT NULL,
		`maxentries` int(11) NOT NULL,
		PRIMARY KEY (`ID`)
) AUTO_INCREMENT=1
  DEFAULT CHARSET=utf8 DEFAULT COLLATE utf8_unicode_ci";

$install4 = "CREATE TABLE `" . PREFIX . "teamspeak_verification` (	
		`ID` int(11) NOT NULL AUTO_INCREMENT,
		`userId` int(11) NOT NULL,
		`description` text NOT NULL,
		`clientId` text NOT NULL,
		`at` DateTime NOT NULL,
		PRIMARY KEY (`ID`)
) AUTO_INCREMENT=1
  DEFAULT CHARSET=utf8 DEFAULT COLLATE utf8_unicode_ci";

$install5 = "INSERT INTO  `" . PREFIX . "teamspeak_verification_setup`(`verificationgroup`, `maxentries`)
            VALUES(147,5)";

$install6 = "INSERT INTO  `" . PREFIX . "navigation_sub`(`mnav_ID`, `name`, `link`, `sort`, `indropdown`)
            VALUES(3,'Teamspeak Verifizierung','index.php?site=teamspeak_verification',1,1)";
# 	= = =		/!\ DO NOT EDIT THE LINES BELOW !!!		= = =
# 	= = =		/!\ DO NOT EDIT THE LINES BELOW !!!		= = =
# 	= = =		/!\ DO NOT EDIT THE LINES BELOW !!!		= = =

# 	= = =		/!\ Ab hier nichts mehr ändern !!!		= = =

$add_plugin = "INSERT INTO `".PREFIX."plugins` (`name`, `admin_file`, `activate`, `author`, `website`, `index_link`, `sc_link`, `hiddenfiles`, `version`, `path`) 
				VALUES ('$str', '$admin_file', $activate, '$author', '$website', '$index_link', '$sc_link', '$hiddenfiles', '$version', '$path');";

$add_plugin2 = "INSERT INTO `".PREFIX."plugins` (`name`, `admin_file`, `activate`, `author`, `website`, `index_link`, `sc_link`, `hiddenfiles`, `version`, `path`) 
				VALUES ('$str2', '$admin_file2', $activate, '$author', '$website', '$index_link2', '$sc_link', '$hiddenfiles', '$version', '$path2');";

$add_navigation = "INSERT INTO `".PREFIX."dashnavi_links` (`catID`, `name`, `url`, `accesslevel`,`sort`) 
					VALUES ((SELECT `catID` FROM `".PREFIX."dashnavi_categories` WHERE name='plugins'),'$str_categorie2', 'admincenter.php?site=$navi_link', 'any',1);";

$add_navigation2 = "INSERT INTO `".PREFIX."dashnavi_links` (`catID`, `name`, `url`, `accesslevel`,`sort`) 
					VALUES ((SELECT `catID` FROM `".PREFIX."dashnavi_categories` WHERE name='plugins'),'$str_categorie3', 'admincenter.php?site=$navi_link2', 'any',999);";


if(!ispageadmin($userID)) { echo ("Access denied!"); return false; }

echo "<div class='installer_trans'><div class='install_plugin'>
      	<div class='header clearfix'>
      	    <nav>
       		   <ul class='nav nav-pills pull-right margto8'>
       		     <li role='presentation'><a class='quicklinks' href='http://webspell-nor.de/'>Support</a></li>
       		     <li role='presentation'><a class='quicklinks' href='http://www.webspell.org/index.php?site=license'>License</a></li>
        	     <li role='presentation'><a class='quicklinks' href='http://webspell-nor.de/index.php?site=about'>About</a></li>
        	  </ul>
        	</nav>
      		<h3 class='text-muted'>WebSpell plugin Installation</h3>
      	</div>

        <div class='jumbotron bg'>
      	  <h1>webSPELL NOR  <u>$str</u> plugin</h1>
      		  <p>super powerful, responsive features, easy to adjust
       		  one of the easiest content management systems on earth
       		  wonderful bootstrap or photoshop templates
       		  lots of Add-ons and modifications for all types of websites
       		  a community behind you for all issues and problems
       		  </p>
        </div>
    ";


echo "<div class='panel panel-default'>
			<div class='panel-heading'>
				<h3 class='panel-title'>$str Database Installation</h3>
			</div>
			<div class='panel-body'>";

# if table exists
try {
    if(mysqli_query($_database, $install1)) {
        echo "<div class='alert alert-success'>$str installation successful <br />";
        echo "$str installation erfolgreich <br />";
        echo "$str installation r&eacute;ussie <br /></div>";
    } else {
        echo "<div class='alert alert-warning'>$str entry already exists <br />";
        echo "$str Eintrag schon vorhanden <br />";
        echo "$str Entrée existe déjà <br /></div>";
        echo "<hr>";
    }
} CATCH (EXCEPTION $x) {
    echo "<div class='alert alert-danger'>$str installation failed <br />";
    echo "Send the following line to the support team:<br /><br />";
    echo "<pre>".$x->message()."</pre>		
					  </div>";
}

# if table exists
try {
    if(mysqli_query($_database, $install3)) {
        echo "<div class='alert alert-success'> installation successful <br />";
        echo "$str installation erfolgreich <br />";
        echo "$str installation r&eacute;ussie <br /></div>";
    } else {
        echo "<div class='alert alert-warning'>$str entry already exists <br />";
        echo "$str Eintrag schon vorhanden <br />";
        echo "$str Entrée existe déjà <br /></div>";
        echo "<hr>";
    }
} CATCH (EXCEPTION $x) {
    echo "<div class='alert alert-danger'>$str installation failed <br />";
    echo "Send the following line to the support team:<br /><br />";
    echo "<pre>".$x->message()."</pre>		
					  </div>";
}

# if table exists
try {
    if(mysqli_query($_database, $install4)) {
        echo "<div class='alert alert-success'>$str installation successful <br />";
        echo "$str installation erfolgreich <br />";
        echo "$str installation r&eacute;ussie <br /></div>";
    } else {
        echo "<div class='alert alert-warning'>$str entry already exists <br />";
        echo "$str Eintrag schon vorhanden <br />";
        echo "$str Entrée existe déjà <br /></div>";
        echo "<hr>";
    }
} CATCH (EXCEPTION $x) {
    echo "<div class='alert alert-danger'>$str installation failed <br />";
    echo "Send the following line to the support team:<br /><br />";
    echo "<pre>".$x->message()."</pre>		
					  </div>";
}

# Add default entry to database
if(mysqli_num_rows(safe_query("SELECT * FROM `".PREFIX."teamspeak_verification_setup`"))>0) {
    echo "<div class='alert alert-warning'>Verification Setup already exists <br />";
    echo "Verifizierung Einrichtung bereits vorhanden <br /></div>";
}else {
    try {
        if(safe_query($install5)) {
            echo "<div class='alert alert-success'>Setup was created <br />";
            echo "Einrichtung wurde erstellt <br />";
            echo "<a href = '/admin/admincenter.php?site=teamspeakverification' target='_blank'><b>LINK => Navigation</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Error when creating Setup<br />";
            echo "Fehler beim befüllen der Einrichtung<br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}

# Add default entry to database
if(mysqli_num_rows(safe_query("SELECT * FROM `".PREFIX."navigation_sub` WHERE name = 'Teamspeak Verifizierung'"))>0) {
    echo "<div class='alert alert-warning'>Verification Navigation already exists <br />";
    echo "Verifizierung Navigation bereits vorhanden <br /></div>";
}else {
    try {
        if(safe_query($install6)) {
            echo "<div class='alert alert-success'>Navigation was created <br />";
            echo "Navigation wurde erstellt <br />";
            echo "<a href = '/admin/admincenter.php?site=teamspeak_verification' target='_blank'><b>LINK => Navigation</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Error when creating Setup<br />";
            echo "Fehler beim befüllen der Einrichtung<br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}

# Add to Plugin-Manager
if(mysqli_num_rows(safe_query("SELECT name FROM `".PREFIX."plugins` WHERE name ='".$str."'"))>0) {
    echo "<div class='alert alert-warning'>$str Plugin Manager entry already exists <br />";
    echo "$str Plugin Manager Eintrag schon vorhanden <br />";
    echo "$str Entrée Plugin Manager existe déjà <br /></div>";
    echo "<hr>";
} else {
    try {
        if(safe_query($add_plugin)) {
            echo "<div class='alert alert-success'>$str added to the plugin manager <br />";
            echo "$str wurde dem Plugin Manager hinzugef&uuml;gt <br />";
            echo "$str a &eacute;t&eacute; ajout&eacute; au manager de plugin <br />";
            echo "<a href = '/admin/admincenter.php?site=plugin-manager' target='_blank'><b>LINK => Plugin Manager</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Add to plugin manager failed <br />";
            echo "Zum Plugin Manager hinzuf&uuml;gen fehlgeschlagen <br />";
            echo "Echec d'ajout au manager de plugin <br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}

# Add to Plugin-Manager (Setup)
if(mysqli_num_rows(safe_query("SELECT name FROM `".PREFIX."plugins` WHERE name ='".$str2."'"))>0) {
    echo "<div class='alert alert-warning'>$str2 Plugin Manager entry already exists <br />";
    echo "$str2 Plugin Manager Eintrag schon vorhanden <br />";
    echo "$str2 Entrée Plugin Manager existe déjà <br /></div>";
    echo "<hr>";
} else {
    try {
        if(safe_query($add_plugin2)) {
            echo "<div class='alert alert-success'>$str2 added to the plugin manager <br />";
            echo "$str2 wurde dem Plugin Manager hinzugef&uuml;gt <br />";
            echo "$str2 a &eacute;t&eacute; ajout&eacute; au manager de plugin <br />";
            echo "<a href = '/admin/admincenter.php?site=plugin-manager' target='_blank'><b>LINK => Plugin Manager</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Add to plugin manager failed <br />";
            echo "Zum Plugin Manager hinzuf&uuml;gen fehlgeschlagen <br />";
            echo "Echec d'ajout au manager de plugin <br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str2 installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}

# Add default entry to database
if(mysqli_num_rows(safe_query("SELECT * FROM `".PREFIX."teamspeak_setup`"))>0) {
    echo "<div class='alert alert-warning'>Setup already exists <br />";
    echo "Einrichtung bereits vorhanden <br /></div>";
}else {
    try {
        if(safe_query($install2)) {
            echo "<div class='alert alert-success'>Setup was created <br />";
            echo "Einrichtung wurde erstellt <br />";
            echo "<a href = '/admin/admincenter.php?site=teamspeakadministration' target='_blank'><b>LINK => Navigation</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Error when creating Setup<br />";
            echo "Fehler beim befüllen der Einrichtung<br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}
/*
# Add to navigation
if(mysqli_num_rows(safe_query("SELECT * FROM `".PREFIX."dashnavi_links` WHERE `name`='$str_categorie2'"))>0) {
    echo "<div class='alert alert-warning'>$str_categorie2 Navigation entry already exists <br />";
    echo "$str_categorie2 Navigationseintrag schon vorhanden <br />";
    echo "$str_categorie2 Entrée Navigation existe déjà <br /></div>";

} else {
    try {
        if(safe_query($add_navigation)) {
            echo "<div class='alert alert-success'>$str added to the Navigation <br />";
            echo "$str wurde der Navigation hinzugef&uuml;gt <br />";
            echo "$str a &eacute;t&eacute; ajout&eacute; la navigation <br />";
            echo "<a href = '/admin/admincenter.php?site=navigation' target='_blank'><b>LINK => Navigation</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Add to Navigation failed <br />";
            echo "Zur Navigation hinzuf&uuml;gen fehlgeschlagen<br />";
            echo "Echec d'ajout la navigation <br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}

# Add to navigation 2
if(mysqli_num_rows(safe_query("SELECT * FROM `".PREFIX."dashnavi_links` WHERE `name`='$str_categorie3'"))>0) {
    echo "<div class='alert alert-warning'>$str_categorie3 Navigation entry already exists <br />";
    echo "$str_categorie3 Navigationseintrag schon vorhanden <br />";
    echo "$str_categorie3 Entrée Navigation existe déjà <br /></div>";
} else {
    try {
        if(safe_query($add_navigation2)) {
            echo "<div class='alert alert-success'>$str_categorie3 added to the Navigation <br />";
            echo "$str_categorie3 wurde der Navigation hinzugef&uuml;gt <br />";
            echo "$str_categorie3 a &eacute;t&eacute; ajout&eacute; la navigation <br />";
            echo "<a href = '/admin/admincenter.php?site=navigation' target='_blank'><b>LINK => Navigation</b></a></div>";
        } else {
            echo "<div class='alert alert-danger'>Add to Navigation failed <br />";
            echo "Zur Navigation hinzuf&uuml;gen fehlgeschlagen<br />";
            echo "Echec d'ajout la navigation <br /></div>";
        }
    } CATCH (EXCEPTION $x) {
        echo "<div class='alert alert-danger'>$str installation failed <br />";
        echo "Send the following line to the support team:<br /><br />";
        echo "<pre>".$x->message()."</pre>		
						  </div>";
    }
}
*/
echo "</div></div>";


echo "<div class='panel panel-default'>
		<div class='panel-heading'>
			<h3 class='panel-title'>Info</h3></div>
		<div class='panel-body'>";
echo "<div class='alert alert-danger'>View the readme of the plugin manager to display the $str<br />";
echo "Lese die Anleitung zum plugin manager um $str anzeigen zu lassen <br />";
echo "Regarder le readme du manager de plugin pour afficher le $str <br />";
echo "$str installation --- <br />";
echo "</div>";

echo "<button class='btn btn-default btn-sm' onclick='goBack()'>Go Back</button>";

echo "</div></div>
	
		</div></div>
	";

?>